PACLOG(1)

BEZEICHNUNG
paclog - Pacman-Protokolleinträge filtern

ÜBERSICHT
 paclog [Optionen] [Filter] …
 paclog [Optionen] --pkglist
 paclog (--help|--version)

BESCHREIBUNG
Falls die Eingabe über die Standardeingabe erfolgt, wird diese anstelle der mit --logfile angegebenen Datei ausgewertet. Protokolleinträge werden angezeigt, wenn sie auf irgendeinen der angegebenen Filter passen. Um Überschneidungen mehrerer Filter anzeigen zu lassen, können Sie diese in einer Pipe verketten:

 paclog --after=2015-01-01 | paclog --warnings

OPTIONEN

--config=Pfad
    gibt den Pfad zu einer alternativen Konfigurationsdatei an.

--logfile=Pfad
    gibt einen Pfad zu einer alternativen Protokolldatei an.

--root=Pfad
    gibt eine alternative Installationswurzel an.

--sysroot=Pfad
    gibt eine alternative Systemwurzel an. Siehe pacutils-sysroot(7).

--[no-]color
    stellt die Ausgabe farbig dar. Die Ausgabe wird standardmäßig farbig, wenn die Standardausgabe ein Terminal ist.

--pkglist
    gibt die Liste der installierten Pakete entsprechend den Protokolleinträgen aus.

--help
    zeigt Hinweise zur Verwendung an und beendet das Programm.

--version
    zeigt Versionsinformationen an und beendet das Programm.

  Filter

--action=Aktion
    zeigt Paketaktionen an. Die Aktion muss »install«, »reinstall«, »upgrade«, »downgrade«, »remove« oder »all« sein.

--after=Datum, --before=Datum
    zeigt Einträge nach oder vor dem angegebenen Datum an. Falls Sekunden oder Zeitzoneninformationen enthalten sind, werden diese stillschweigend ignoriert. Dadurch ist es möglich, die Ausgabe von »date -I« zu verwenden:

     paclog --after "$(date -Iminutes --date '3 days ago')"

--caller=Benutzer
    zeigt Protokolleinträge des angegebenen Benutzers an. Dies kann mehrfach angegeben werden. Groß- und Kleinschreibung wird nicht berücksichtigt.

--commandline
    zeigt im Pacman-Stil protokollierte Befehlszeileneinträge an.

--grep=regulärer_Ausdruck
    zeigt Protokolleinträge an, die auf den angegebenen regulären_Ausdruck passen.

--package=Paketname
    zeigt protokollierte Aktionen an, die das angegebene Paket beeinflussen. Dies kann mehrfach angegeben werden.

--warnings
    zeigt Fehlermeldungen, Warnungen und Hinweise an.

WARNUNGEN
paclog ermittelt durch eine einfache Überprüfung mit isatty(3), ob Pakete aus der Standardeingabe gelesen werden sollen oder nicht. Falls paclog in einer Umgebung aufgerufen wird, beispielsweise in einer Shellfunktion oder einem Skript, das in einer Pipe verwendet wird, wobei die Standardeingabe nicht mit einem Terminal verbunden ist, aber keine auszuwertende Protokolldatei enthält, sollte paclog mit geschlossener Standardeingabe aufgerufen werden. Für POSIX-kompatible Shells können Sie dies mit »<&-« erreichen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.